Core - Bug # 56336

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Bug # 52949 (Resolved): Speed decrease since 4.5

Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Resolved Priority: Should have
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Prevent Inclusion of MediaWizardProvider* in Base Bootstrap

Description

Related issues:

related to Core - Bug # 45092: Allow disabling the default MediaWizardProvider Closed 2013-02-02

Associated revisions

Revision 20d4bff4 - 2014-08-13 21:00 - Benjamin Mack

[TASK] Prevent Inclusion of MediaWizardProvider* in Base Bootstrap

On every Frontend request, the original media wizard
provider of EXT:cms is loaded, by fetching the
MediaWizardProviderManager and then

an object of MediaWizardProvider is loaded and held
in memory, as this is not needed, but only on pages

where a media is used.

This change moves the instantiation of the providers to

the time when it is needed.

Further modification would be to add the registered
wizards to TYPO3_CONF_VARSI[FE][mediaProviders] and
use them directly in the MEDIA object, so the
MediaWizardProviderManager class could be deprecated.

Releases: 6.3

Resolves: #56336

Change-Id: Id466d41fef019449d820b6faec3946ec1c951488
Reviewed-on: http://review.typo3.org/28046

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
#1 - 2014-03-04 17:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28046

#2 - 2014-03-04 17:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28046

#3 - 2014-07-25 20:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28046

#4 - 2014-08-13 20:49 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28046

#5 - 2014-08-13 20:50 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28046

#6 - 2014-08-13 20:52 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28046

#7 - 2014-08-13 21:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:20d4bff436a0623068c1ce9d19282b165fa95a5¢.

2015-08-04

22


https://review.typo3.org/28046
https://review.typo3.org/28046
http://review.typo3.org/28046
http://review.typo3.org/28046
http://review.typo3.org/28046
http://review.typo3.org/28046

